Bug 132761 - (acpi_power_off) 2.6.8 poweroff always fails
2.6.8 poweroff always fails
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
: 134183 135218 136673 137303 137701 138781 139211 139402 140028 140199 140219 140231 140773 141025 144445 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 15:00 EDT by Martin Gansser
Modified: 2015-01-04 17:09 EST (History)
34 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:14:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
last dmesg (15.13 KB, text/plain)
2004-09-16 15:02 EDT, Martin Gansser
no flags Details
last messages (24.89 KB, text/plain)
2004-09-16 15:07 EDT, Martin Gansser
no flags Details
lspci -vv (9.50 KB, text/plain)
2004-09-16 15:09 EDT, Martin Gansser
no flags Details
dmidecode (8.21 KB, text/plain)
2004-09-16 15:10 EDT, Martin Gansser
no flags Details
acpidmp (65.48 KB, text/plain)
2004-09-16 15:11 EDT, Martin Gansser
no flags Details
filtered shutdown boot.log messages (20.39 KB, text/plain)
2004-11-19 23:44 EST, Jim Cornette
no flags Details
Looks like somebody broke ACPI in FC3 - lspci output (1.25 KB, text/plain)
2004-11-21 00:45 EST, Patrick McShane
no flags Details
dmesg (10.09 KB, text/plain)
2004-11-21 04:32 EST, Dan Bolser
no flags Details

  None (edit)
Description Martin Gansser 2004-09-16 15:00:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.2)
Gecko/20040803

Description of problem:
system report ACPI_POWER_OFF CALLED but don't go off.
No error was reported, but work well in vanilla kernel 2.6.7 and the
system power off correctly.

Version-Release number of selected component (if applicable):
FC2 Kernel 2.6.8-1.520

How reproducible:
Always

Steps to Reproduce:
1.call poweroff of shutdown -h now
    

Actual Results:  ACPI_POWER_OFF CALLED is the last message - to power
of the machine - I pressed for 5 sec the power off buttom.

Additional info:
Comment 1 Martin Gansser 2004-09-16 15:02:20 EDT
Created attachment 103922 [details]
last dmesg
Comment 2 Martin Gansser 2004-09-16 15:07:59 EDT
Created attachment 103923 [details]
last messages
Comment 3 Martin Gansser 2004-09-16 15:09:22 EDT
Created attachment 103924 [details]
lspci -vv
Comment 4 Martin Gansser 2004-09-16 15:10:48 EDT
Created attachment 103925 [details]
dmidecode
Comment 5 Martin Gansser 2004-09-16 15:11:58 EDT
Created attachment 103926 [details]
acpidmp
Comment 6 Håvard Wigtil 2004-10-21 04:07:09 EDT
Is bug 134183 a duplicate of this one?
Poweroff works for me in FC2, but haven't worked for the last month or
so in Rawhide.
Comment 7 Dave Jones 2004-10-26 23:57:41 EDT
*** Bug 134183 has been marked as a duplicate of this bug. ***
Comment 8 Dave Jones 2004-10-26 23:58:13 EDT
*** Bug 135218 has been marked as a duplicate of this bug. ***
Comment 9 Dave Jones 2004-10-26 23:59:14 EDT
*** Bug 136673 has been marked as a duplicate of this bug. ***
Comment 10 Bojan Smojver 2004-10-27 09:36:23 EDT
Same comment as the one above in relation to bug 135218 - are you sure
this is a duplicate? I had no problems with this on FC2 at all
(kernels up to and including 2.6.8-1.521). The problems started in
2.6.8-1.603. Before that, FC3 test/development line worked fine too.
Comment 11 Dave Jones 2004-10-28 19:53:04 EDT
*** Bug 137303 has been marked as a duplicate of this bug. ***
Comment 12 Dave Jones 2004-11-01 14:35:19 EST
*** Bug 137701 has been marked as a duplicate of this bug. ***
Comment 13 Phil Schaffner 2004-11-01 19:16:43 EST
Bug present in FC3rc5 - fresh install on Abit KT7A-RAID, Athlon 1GHz.
Comment 14 James Mckenzie 2004-11-02 00:44:57 EST
Have poweroff problem with Thinkpad A22p that started with the
installation of 2.5.8-1.521 kernel.  Also getting error with mdmpd:
Kernel md does not support events.  
/var/log/messages does not show any unusual activity other than above.
Comment 15 lehi k davis 2004-11-09 15:46:38 EST
I am experiencing the same problem with my HP Pavillion ze4805us. 

Problem started with the upgrade to FC3 and kernel version
2.6.9-1.667.  It worked previously in FC2 and kernel version
2.6.8-1.521 and earlier without incident.
Comment 16 David Wood 2004-11-10 09:21:06 EST
Noticed the same problem too on my HP nx9010.  FC2 was fine but not FC3.
Comment 17 Greg Douglas 2004-11-11 09:07:13 EST
Im having the same problem with my computer since upgrading to FC3
from FC2.  My BIOS is AWARD BIOS v6.00PG.  My Motherboard is MSI
KM3M-V.  Shutdown worked correctly in FC2 with the latest kernel (2.6.8).
Comment 18 Fernando J. Leal 2004-11-11 12:07:28 EST
I confirm this bug in FC3. I'm using an ASUS LC5 laptop. FC1 and FC2
always did shutdown properly. Starting from kernel 2.6.9-1.667 (after
upgrade FC2 -> FC3), shutting down stops with message "acpi_power_off
funcion called".
Comment 19 spuds mackenzie 2004-11-11 20:51:11 EST
Same problem on an ECS k7vta3 with fresh install of FC3. Last message
is "acpi_power_off funcion called", but system does not power off. 
Comment 20 Ed Hill 2004-11-12 17:54:17 EST
On a ThinkPad A22p with a default FC3 install (kernel 2.6.9-1.667), I
had the exact same problem.  So I edited /etc/inittab:

  #ca::ctrlaltdel:/sbin/shutdown -t3 -r now
  ca::ctrlaltdel:/sbin/shutdown -h now

and now the laptop shuts down correctly when using the CTL-ALT-DEL
sequence.
Comment 21 Dave Jones 2004-11-13 23:19:48 EST
*** Bug 138781 has been marked as a duplicate of this bug. ***
Comment 22 Ron Yorston 2004-11-14 06:44:38 EST
Just a 'me too' on this one.  My Latitude L400 laptop was fine with
FC2 but since installing FC3 it won't power off after shutdown.  It
goes into some mode where the disk and screen are powered off but the
power light remains on and I have to press the power button for 5
seconds to get it to really turn off.
Comment 23 Jesper Ekhall 2004-11-14 10:12:04 EST
Yet another 'me too'. I have a Abit KG7-RAID motherboard which has 
AMD761/VIA 686B chipset. My CPU is an AMD Thunderbird 1400MHz. After 
upgrading from FC2 to FC3 it no longer shuts down and just freezes 
after displaying "acpi_power_off called.
Comment 24 Stephen Johnson 2004-11-14 22:01:17 EST
Yup, me as well, running an Athlon XP with a Soyo motherboard. 
Everything was fine in Fedora Core 2, but Core 3 gives me this problem.
Comment 25 Armel Kermorvant 2004-11-15 04:22:46 EST
Hello,

please refer to this ID, the problem solve :

id=137701

Armel
Comment 26 Stefan Hoelldampf 2004-11-15 09:54:21 EST
IMHO the workaround in bug 137701 is no solution because disabling the
acpi support does not fix the underlying bug.
Comment 27 Bojan Smojver 2004-11-15 14:19:16 EST
Of course it isn't and neither is the inittab thing from a few posts up.
Comment 28 Dave Jones 2004-11-15 23:17:50 EST
*** Bug 139402 has been marked as a duplicate of this bug. ***
Comment 29 Dave Jones 2004-11-15 23:30:00 EST
*** Bug 139284 has been marked as a duplicate of this bug. ***
Comment 30 Dave Jones 2004-11-15 23:31:36 EST
*** Bug 139211 has been marked as a duplicate of this bug. ***
Comment 31 angeldust 2004-11-16 12:09:30 EST
I confirm this bug in FC3. I'm using an Asus motherboard. FC1 and FC2
always did shutdown properly. Starting from kernel 2.6.9 (after
upgrade FC2 -> FC3), shutting down stops with message "acpi_power_off
funcion called". Agreed that turning off ACPI doesn't solve the 
problem. See, when this happens, I have to reboot the computer to 
shut it off, because the power button won't turn the machine off, I 
have to shut it off from the back. So its really an inconvience at 
times.
Comment 32 Phil Schaffner 2004-11-16 22:58:51 EST
Just changed my kernel line in grub.conf to

        kernel /vmlinuz-2.6.9-1.667 ro root=LABEL=/1 acpi=ht

(don't care for "rhgb quiet") based on Comment #4 in BZ 139211,
rebooted, shut down, and achieved power off!  Now, can anyone explain
why this works?  My machine is a plain Athlon - not hyperthreaded.

 
Comment 33 Troels Arvin 2004-11-17 04:40:14 EST
Yet another me-too report: With FC2, I had no problem powering off,
but with FC3, poweroff shuts down but doesn't power off.

About comment #32:
Setting acpi=ht simply turns off ACPI here: Machine makes lots of
noise, and /proc/acpi doesn't exist. So that's certainly not a
solution here. (Actually, I believe that it may be damaging on some
systems if ACPI is turned off, due to overheating.)

My hardware:
ASUS M2400 series laptop.
CPU: Pentium 4 mobile.

lspci:
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 650/M650 Host
(rev 01)
00:01.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual
PCI-to-PCI bridge (AGP)
00:02.0 ISA bridge: Silicon Integrated Systems [SiS] SiS961 [MuTIOL
Media IO] (rev 10)
00:02.1 SMBus: Silicon Integrated Systems [SiS] SiS961/2 SMBus Controller
00:02.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 07)
00:02.3 USB Controller: Silicon Integrated Systems [SiS] USB 1.0
Controller (rev 07)
00:02.5 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE]
(rev d0)
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS]
Sound Controller (rev a0)
00:03.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900
PCI Fast Ethernet (rev 90)
00:0a.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev a8)
00:0a.1 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev a8)
00:0a.2 FireWire (IEEE 1394): Ricoh Co Ltd R5C552 IEEE 1394 Controller
00:0c.0 Communication controller: Conexant HSF 56k HSFi Modem (rev 01)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS]
65x/M650/740 PCI/AGP VGA Display Adapter
Comment 34 angeldust 2004-11-17 10:29:29 EST
my machine isn't hyperthreading either,  yet it works on mine too.
I was the one that made that comment.  you don't have to use rhgb and 
quiet, thats just what my config is, actually I took out rhgb too.
I was just saying where to put it.   not sure why this works either, 
I would like to know as well
Comment 35 angeldust 2004-11-17 10:31:04 EST
my machine isn't hyperthreading either,  yet it works on mine too.
I was the one that made that comment.  you don't have to use rhgb and 
quiet, thats just what my config is, actually I took out rhgb too.
I was just saying where to put it.   not sure why this works either, 
I would like to know as well
Comment 36 Patrick Pichon 2004-11-17 13:08:10 EST
I have a HP Kayak with 2 Pentium in it. Since I moved to FC1 to FC3
poweroff doesnt work anymore when using the SMP kernel. However if I
used the non-SMP kernel the poweroff works well. I assumed that I'm
not using ACPI but APM which is not SMP safe. However in the past
there where an hack in the apm stack to allow the poweroff. We can
assume that when initiating a power-off there is not so much stuff
going on, and one processor could be desactivated. I have tested to
change grub.conf by adding apm=power-off. When doing that I'm getting
a Panic message:

mkrootdev: label / not found
mount: error 2 mounting ext3
mount: error 2 mounting now
switchroot: mount failed 22
umount /initrd/dev failed 2
kernel panic
Comment 37 Bojan Smojver 2004-11-17 17:38:58 EST
The acpi=ht doesn't work (i.e. doesn't power off) on my ZE4201,
P4-based Celeron. Latest kernel, 2.6.9-1.678_FC3 still has the same
problem.
Comment 38 Dave Jones 2004-11-19 16:26:41 EST
*** Bug 140028 has been marked as a duplicate of this bug. ***
Comment 39 Georg Fass 2004-11-19 17:25:04 EST
hi!

i had the same problem on my laptop (Acer Ferrari 3000, kernel
2.6.9-1.649). it's an ACPI bug:

http://bugme.osdl.org/show_bug.cgi?id=3669

There is a patch available:

http://bugme.osdl.org/attachment.cgi?id=4034&action=view

Have fun ;)
Comment 40 Jim Cornette 2004-11-19 22:57:07 EST
I have this problem also. Since I recently applied upgrades to the BIOS from the
vendor of the laptop, I thought that these upgrades broke the acpi shutdown.
I run with acpi=on in the grub.conf file. This laptop is an HP ze4315us. 
I'm not sure if this is important, XP shuts down without problems. I have to
hold the power button in to shut off power.
Comment 41 Jim Cornette 2004-11-19 23:44:26 EST
Created attachment 107111 [details]
filtered shutdown boot.log messages

Checking the log files for boot and other system messages, I dscovered that the
log was not written because of SELinux and my upgrade path. Severn until
present FC3 system. Attached is the filtered boot.log for shudown messages.
Since the log was shutoff because of a need to relabel my system and get
SELinux working right, there is a time reference where things were correctly
running. This might aid in referencing the kernel time related changes, in
order to isolate the problem. SELinux is of course disabled, otherwise there
would be no boot.log written.
Comment 42 Dave Jones 2004-11-20 22:35:53 EST
*** Bug 140199 has been marked as a duplicate of this bug. ***
Comment 43 Patrick McShane 2004-11-21 00:45:11 EST
Created attachment 107132 [details]
Looks like somebody broke ACPI in FC3 - lspci output


Another mee too.  Using a Shuttle PC with AMD XP 2200, 512MB, and SATA disks. 
FC3 loaded with 2.6.9-1.681_FC3 test kernel.  System shuts down and hangs at
"acpi_poweroff called". Must hold down power button for 5 seconds to poweroff
machine.  Looks like somebody broke ACPI in FC3.
Comment 44 Dan Bolser 2004-11-21 04:32:29 EST
Created attachment 107133 [details]
dmesg
Comment 45 Dan Bolser 2004-11-21 04:36:06 EST
Sorry, this text goes with Comment #44

Don't know if this adds any important information or not, but I am
running FC2 with the latest kernel 2.6.9-1.3_FC2, and this upgrade
caused this bug on my system.

Just in case people thought this was related to FC3 alone I thought I
would report this.

Can anyone confirm a way to fix this bug? I see several work arounds.
Before I spend any time doing one or the other, which should I do?

Should I wait for an upgrade?

Dan.
Comment 46 angeldust 2004-11-21 12:08:52 EST
I was told that the 2.6.9 kernel has some serious bugs anyway,
so why fedora decided to use it is beyond me.
alot of people are saying the 2.6.9 kernel has some problems
other then this, so that could be alot of it right there.
Comment 47 Dave Jones 2004-11-21 15:57:36 EST
*** Bug 140231 has been marked as a duplicate of this bug. ***
Comment 48 Andy Piper 2004-11-21 19:52:33 EST
Same problem on a Gigabyte K8VXNP (VIA K8T800) motherboard in 32-bit
mode here.

It works with apm enabled, apmd running, acpi=off.

When acpi is on and I use the poweroff command the system hangs at the
Power down_ message.

grep ACPI /var/log/messages.1 (when I had acpi enabled / not
explicitly disabled)

Nov 16 20:57:57 castor kernel:  BIOS-e820: 000000003fff0000 -
000000003fff3000 (ACPI NVS)
Nov 16 20:57:57 castor kernel:  BIOS-e820: 000000003fff3000 -
0000000040000000 (ACPI data)
Nov 16 20:57:57 castor kernel: ACPI: PM-Timer IO Port: 0x4008
Nov 16 20:57:57 castor kernel: ACPI: IRQ9 SCI: Level Trigger.
Nov 16 20:57:57 castor kernel: ACPI: Subsystem revision 20040816
Nov 16 20:57:57 castor kernel: ACPI: Interpreter enabled
Nov 16 20:57:57 castor kernel: ACPI: Using PIC for interrupt routing
Nov 16 20:57:57 castor kernel: ACPI: PCI Root Bridge [PCI0] (00:00)
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 3
4 6 7 *10 11 12)
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 3
4 6 7 10 *11 12)
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 3
4 6 7 10 *11 12)
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 3
4 6 7 10 11 12) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 3
4 6 7 10 11 12) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 3
4 6 7 10 11 12) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNK0] (IRQs 3
4 6 7 10 11 12) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNK1] (IRQs 3
4 6 7 10 11 12) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [ALKA] (IRQs
20) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [ALKB] (IRQs
21) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [ALKC] (IRQs
22) *0, disabled.
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [ALKD] (IRQs
23) *0, disabled.
Nov 16 20:57:57 castor kernel: PCI: Using ACPI for IRQ routing
Nov 16 20:57:57 castor kernel: ACPI: PCI Interrupt Link [LNKC] enabled
at IRQ 11
Nov 16 20:57:57 castor kernel: ACPI: PCI interrupt 0000:00:0a.0[A] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:57 castor kernel: ACPI: PCI interrupt 0000:00:0a.1[A] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI Interrupt Link [LNKA] enabled
at IRQ 10
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:0c.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:0f.0[B] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI Interrupt Link [LNKB] enabled
at IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:0f.1[A] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:10.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:10.1[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:10.2[B] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:10.3[B] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:10.4[C] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:12.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:13.0[A] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:14.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:01:00.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:58 castor kernel: apm: overridden by ACPI.
Nov 16 20:57:58 castor kernel: ACPI: Processor [CPU0] (supports C1)
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:0f.1[A] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:58 castor kernel: ACPI: (supports S0 S3 S4 S5)
Nov 16 20:57:58 castor kernel: ACPI wakeup devices:
Nov 16 20:57:58 castor kernel: ACPI: PCI interrupt 0000:00:0f.0[B] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:12.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:0c.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:10.4[C] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:10.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:10.1[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:10.2[B] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:10.3[B] ->
GSI 11 (level, low) -> IRQ 11
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:14.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:59 castor kernel: ACPI: Power Button (FF) [PWRF]
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:01:00.0[A] ->
GSI 10 (level, low) -> IRQ 10
Nov 16 20:57:59 castor kernel: ACPI: PCI interrupt 0000:00:13.0[A] ->
GSI 11 (level, low) -> IRQ 11

I have tried booting with acpi=ht but that had no effect.
Comment 49 rob versluis 2004-11-23 01:39:16 EST
The same problem with a HP Compaq NX9005 after upgrading from Fedora
Core 1 to Fedora Core 3.
Comment 50 lehi k davis 2004-11-23 08:49:12 EST
This problem still seems to exist in 2.6.9-1.681_FC3 on my machine (HP
Pavilon ze4805us)

Does anyone know where I can find the release notes/CHANGELOG for the
Fedora packaged kernels?
Comment 51 Phil Schaffner 2004-11-23 11:06:49 EST
$ rpm --changelog -q kernel-<whatever-version>
Comment 52 shaohua li 2004-11-23 19:58:14 EST
Does the patch in http://bugme.osdl.org/show_bug.cgi?id=3669 help? It 
works for many systems for similar issues.
Comment 53 Stefan Hoelldampf 2004-11-24 14:26:33 EST
@Comment 52:

Applying this patch to kernel-2.6.9-1.643 on FC3test3 does *not* fix
the problem (sorry, no FC3 installed on this machine yet).

(motherboard ECS Elitegroup K7S5A)
Comment 54 Bill Nottingham 2004-11-24 15:33:40 EST
*** Bug 140773 has been marked as a duplicate of this bug. ***
Comment 55 Bill Nottingham 2004-11-24 15:38:03 EST
*** Bug 140219 has been marked as a duplicate of this bug. ***
Comment 56 Frank Swasey 2004-11-25 07:03:34 EST
Having same problem on three of four systems I have installed FC3 on.
 Running 2.6.9-1.681_FC3 kernel on all of them.

The machine that works is a Dell Latitude C800 (laptop) that was
upgraded from FC2.

The machines that do not work are:
1) Dell Optiplex GX260 (Upgraded from FC2)
2) Home built: AMD 1600+, ECS K7S5A (fresh FC3 install)
3) Home built: Duron 1300, ECS K7S5A-PRO (fresh FC3 install)

Duron 1300 system used to run FC2 and the last kernel update there
(the one that introduced 2.6.9 I think) also failed to power off (as
reported above).
Comment 57 David A. Cafaro 2004-11-26 13:04:18 EST
I'm not sure bug 132761 called a duplicate of this one, since the
issue for me didn't start till the 2.6.9 kernels in FC2.  

In FC2 with kernel 2.6.8-1.521 I had no problem with poweroff working
as expected every time.  When I tried upgrading to the FC2
2.6.9-1.3_FC2 kernel or the 2.6.9-1.6_FC2 kernel the poweroff started
failing.  So there is a specific difference between the 2.6.8 kernels
and the 2.6.9 kernels that broke poweroff on some systems.

I currently see this issue on My Sharp MM20 laptop with the Transmetta
Efficeon processor.
Comment 58 angeldust 2004-11-26 13:21:39 EST
acpi=off does fix the problem, so what difference does it make?
why do we need acpi if turning it off fixes the problem?
Comment 59 Bernt Øyvind Thorvaldsen 2004-11-26 13:36:00 EST
Answer to #58: because laptops as for example mine Fujitsu Siemens 
C1110D needs acpi for the fan to work properly, and even to shut 
down at all (no APM-support in this laptop). 
Comment 60 David A. Cafaro 2004-11-26 13:48:10 EST
Answer to #58, with out ACPI my laptops battery life would disappear,
heat would become an issue, I couldn't use any form of suspend,
couldn't check on remaining battery time, etc....

acpi=off is fine for many desktops, but that would be as good as
saying fedora core 2/3 can never be used on laptops.  As laptops are a
quickly growing segment of the computer world in business as well as
personal use, this isn't a good solution.
Comment 61 KOROSI Akos 2004-11-28 10:30:13 EST
I have the same problem with my Albatron KX600 PRO motherboard (VIA
KT600 chipset).
Everything was ok with FC2.
I was trying to make a custom kernel (with the latest 2.6.10-rc2
kernel) to check if it solves the issue, but the special initrd
requirements didn't allow me to do so...
Looking forward for a solution (or a new kernel?).
Comment 62 Bill Nottingham 2004-11-28 15:21:38 EST
*** Bug 141025 has been marked as a duplicate of this bug. ***
Comment 63 Len Brown 2004-11-30 00:02:38 EST
Any more test results for the latest patch here?:
http://bugme.osdl.org/show_bug.cgi?id=3669
Comment 64 cap 2004-11-30 04:12:16 EST
Same problem here my pc wont shutdown completely.  In the bios under
>Power Magament >ACPI= enabled.  But If I disable it shut power offs
completely by addind acpi=off in the kernel line.  This happens with
latest kernels for fc2 (installed in laptop) and fc3 in desktop.
Comment 65 Tom Mitchell 2004-12-01 14:47:09 EST
In addition to poweroff problem described above there is a problem with wakeup
on interrupt.   If acpi is off then the box will lights out and fan poweroff,
butit will not wakeup on a network wakeup packet.  This tells me that the wrong
bit is being yanked on poweroff (OK different from previous).   Earlier FC2
kernels and the new Solaris10x86 beta do the wakeup just fine.  Both current FC2
and current FC3 kernels have this difference from previous functionality.
                                                                                
In the case where the box stops at "ACPI_POWER_OFF CALLED" I have  noted that
the disks power off (I can hear the heads seek) but CDROM drives in the same box
do not poweroff and the power supply does not poweroff.
                                                                                
By chance is the processor being halted when there are scheduled ACPI events ending?
Comment 66 Nils Philippsen 2004-12-05 17:29:16 EST
Just a data point I didn't find anyone else made: Alt+SysRq+O worked for me on
the same machine that normal powering off didn't (I had one dubious "umount
didn't work, retrying", became impatient, did Alt+SysRq+(S,U,O).
Comment 67 Nils Philippsen 2004-12-05 17:31:07 EST
NB: This is kernel-2.6.9-1.681_FC3.
Comment 68 Stephen Walton 2004-12-06 11:56:02 EST
I tried the patch at http://bugme.osdl.org/show_bug.cgi?id=4105,
specifically http://bugme.osdl.org/attachment.cgi?id=4105&action=view,
but it didn't seem to work for me when applied to
kernel-2.6.9-1.681_FC3.  This is on a Compaq model 2199US laptop on
which all previous acpi_power_off calls have shut the system off. 
However, it seems to have worked for enough other people that the bug
has been marked closed and the patch is in the upstream 2.6.10 kernel.
Comment 69 Len Brown 2004-12-09 17:47:36 EST
Thanks for confirming the fix in osdl 3669
did not help your system.

how about this one?
http://bugme.osdl.org/show_bug.cgi?id=3642
Comment 70 Dan Bolser 2004-12-19 09:27:36 EST
sigh... I tried the acpi=off on my desktop, and it does fix the power
off problem, but sadly kills my network card (network can't be found,
network unreachable etc...).

Here is my network card details...


$ system-config-network-cmd
DeviceList.Ethernet.eth0.AutoDNS=true
DeviceList.Ethernet.eth0.HardwareAddress=00:e0:18:48:a4:a1
DeviceList.Ethernet.eth0.Type=Ethernet
DeviceList.Ethernet.eth0.IPv6Init=false
DeviceList.Ethernet.eth0.BootProto=dhcp
DeviceList.Ethernet.eth0.Device=eth0
DeviceList.Ethernet.eth0.OnBoot=true
DeviceList.Ethernet.eth0.DeviceId=eth0
DeviceList.Ethernet.eth0.AllowUser=false
HardwareList.Ethernet.eth0.Status=ok
HardwareList.Ethernet.eth0.Name=eth0
HardwareList.Ethernet.eth0.Type=Ethernet
HardwareList.Ethernet.eth0.Card.ModuleName=8139too
HardwareList.Ethernet.eth0.Description=RTL-8139/8139C/8139C+
ProfileList.default.ActiveDevices.1=eth0
ProfileList.default.HostsList.1.IP=127.0.0.1
ProfileList.default.HostsList.1.Hostname=localhost.localdomain
ProfileList.default.HostsList.1.AliasList.1=localhost
ProfileList.default.HostsList.2.IP=193.60.81.187
ProfileList.default.HostsList.2.Hostname=beta.mrc-dunn.cam.ac.uk
ProfileList.default.HostsList.2.AliasList.1=beta
ProfileList.default.DNS.SecondaryDNS=194.168.8.100
ProfileList.default.DNS.SearchList.1=cmbg.cable.ntl.com
ProfileList.default.DNS.Domainname=
ProfileList.default.DNS.Hostname=localhost.localdomain
ProfileList.default.DNS.TertiaryDNS=
ProfileList.default.DNS.PrimaryDNS=194.168.4.100
ProfileList.default.Active=true
ProfileList.default.ProfileName=default


Here are my details...

$ uname -a
Linux cpc2-cmbg1-4-0-cust179.cmbg.cable.ntl.com 2.6


Why is a fix for this bug so long in coming? whine whine whine
Comment 71 Troels Arvin 2004-12-19 15:55:31 EST
The problem goes away for me when I use a kernel based on the pristine
2.6.10-rc3 sources.
Comment 72 lehi k davis 2004-12-19 18:49:18 EST
FYI: kernel-2.6.9-1.715_FC3 is still exhibiting this problem
Comment 73 Jim Cornette 2004-12-19 22:14:20 EST
I find the problem a bother. I would suggest leaving acpi active and
holding down the power button for a short time to power off the
computer and still have networking and other acpi advantages.

If the next generation kernel 2.6.10 fixes the problem, it should not
be too long for power off to work right again.
Comment 74 Tom Mitchell 2004-12-20 00:22:38 EST
The poweroff part of this goes away for me with a 2.6.10-rc3 kernel.

I still have not recovered the wakeup on lan magic packet function
that I have grown to like.  No powerup on reset, Power button OK.
    VIA chip set; AMD processor; -- more details -- just ask.
Comment 75 Bojan Smojver 2005-01-02 20:33:49 EST
Vanilla kernel 2.6.10, compiled with default Fedora config file (i.e.
make menuconfig (save), make, make modules_install) does power my
notebook off (HP Pavilion ZE4201). So, I'm guessing when the next FC3
kernel hits the streets, we should be OK ;-)
Comment 76 Jim Cornette 2005-01-02 21:36:48 EST
The latest kernel that is in rawhide is a 2.6.10 series and you can
shutdown properly. My HP ze4315us computer did not poweroff with the
latest FC3 kernel. This is expected behavior for any 2.6.9 series
kernel for certain hardware. HP laptops seem to be one of the fallout
hardware for poweroff problems.
Comment 77 Bojan Smojver 2005-01-04 05:18:53 EST
I can confirm that my notebook (HP Pavilion ZE4201) powers off with
kernel-2.6.10-1.1063_FC4.
Comment 78 Peter Singer 2005-01-05 03:28:28 EST
I only have kernel-2.6.9-1.667 and I cannot get past grub.  Acpi=off 
does not let me boot and I am a bit stuck.

How can I force a boot?
Comment 79 Bojan Smojver 2005-01-05 05:16:35 EST
From the perspective of this bug, kernel-2.6.10-1.727_FC3 is good to
go. Powers off my box nicely :-)
Comment 80 Andy Piper 2005-01-05 06:37:50 EST
Same here. The 2.6.10-1.727 kernel powers down my Gigabyte K8VNXP. The
latest 2.6.9 revision does not.
Comment 81 Jim Cornette 2005-01-05 20:47:53 EST
In regards to comment #78 - If you install the 2.6.10 kernel version
from the FC3 testing repository and enable acpi=on - you should be
able to boot. I reqiure acpi to be enabled for my laptop. The 2.6.10
kernel works fine for this purpose. (getting the computer to work right)
Jim
Comment 82 Barry K. Nathan 2005-01-06 05:52:20 EST
I'm another person who experienced this problem with 2.6.9 (and maybe
2.6.8 but I don't remember for sure) but who is no longer seeing it
with 2.6.10.

Just mentioning it for what it's worth...
Comment 83 Warren Togami 2005-01-06 05:56:40 EST
May be related... davej mentioned that large ACPI changes went into
2.6.10.
Comment 84 David A. Cafaro 2005-01-06 20:54:08 EST
On my FC2 Sharp MM20 laptop, a 2.6.10-1.8_FC2 kernel compiled on the
system using the src rpm of kernel-2.6.10-1.1063_FC4.src.rpm can again
poweroff (but of coruse it introduces a whole bunch of other
issues..).  So the 2.6.10 kernels seem to be the right path to fix
this on Fedora Core 2 on my system.
Comment 85 Dave Jones 2005-01-06 23:02:04 EST
*** Bug 144445 has been marked as a duplicate of this bug. ***
Comment 86 Martin 2005-01-07 07:40:43 EST
with 2.6.10-1.727 i have the same problems:

ACPI_POWER_OFF CALLED is the last message - to power
of the machine - I pressed for 5 sec the power off buttom.


grub.conf boot option  | booting | power off 
=======================|=========|==========
                       |  yes    | no
--------------------------------------------
apm=power_off acpi=off |  no     | no
--------------------------------------------
apm=power_off acpi=on  |  yes    | no
--------------------------------------------
acpi=off               |  no     | no

CMDL
============================================
poweroff               |         | no
--------------------------------------------
shutdown -h now        |         | no
Comment 87 Barry K. Nathan 2005-01-07 10:38:39 EST
Ok, I've now read through all the comments here, and I think there are
at least *three* separate bugs being discussed:

1. The bug originally reported here by Martin
2. http://bugme.osdl.org/show_bug.cgi?id=3669
3. The powerdown bug that's hitting lots of FC2->FC3 upgrades, as well
as people who are keeping up with the FC2 kernel updates.

Yesterday I narrowed down the cause of #3 so it's no longer a total
mystery (it's coming from a kexec patch which Dave Jones happened to
drop from the Fedora kernel simultaneously with the update from 2.6.9
to 2.6.10).

To really make sure this bug gets killed for good, I need to
regression-test kernel 2.6.10-mm2 (and also look into 2.6.9-x.EL);
it's high on my priority list, but it's been bumped down by a few
other things so I may not get to it for another day or two.

Regarding #1, Martin, you may want to try updating your BIOS if you
have not done so already. I split the URL into 3 lines to make sure I
don't make this bug too wide:

http://www.msicomputer.com/support/bios_result.asp?
platform=Intel&model=875P%20Neo-LSR/FIS2R%20(MS-6758%20PCBv1)&
newsearch=1
Comment 88 Martin 2005-01-09 07:31:09 EST
#Barry, BIOS is already upgrated to Version 2.40
Comment 89 Troels Arvin 2005-01-12 05:15:26 EST
I just updated my FC3 to use the recently released kernel
2.6.10-1.737_FC3, and now it properly powers down. Great!

From my point of view, the bug can be closed now (but of course, we
need to hear from people with other hardware).
Comment 90 Barry K. Nathan 2005-01-12 08:46:18 EST
As I mentioned in comment #87, the original reporter's shutdown
problem seems to be different than everyone else's. If this bug gets
closed, the original reporter will need to open a new bug.
Comment 91 Jim Cornette 2005-01-13 10:14:44 EST
Is there any other factor, besides the kernel (other programs or
script order) than might be causing the problem to still be present
for Martin and is cleared up for most others that have the similar
symptom?
The problem no longer afflicts my HP laptop. I think that the bug
should remain open for the reporter and further investigation into the
source of the problem still needs to be pursued.
Comment 92 Tom Horsley 2005-01-14 18:41:32 EST
As others have reported, the newest FC3 kernel solves the problem
for me too, took the acpi=ht off the options, rebooted, and
then shutdown, and the shutdown worked fine.
Comment 93 Jesper Ekhall 2005-01-19 19:05:25 EST
Problem solved with latest kernel for me too. Info about my computer 
above.
Comment 94 spuds mackenzie 2005-01-23 12:13:06 EST
Works for me now with a ECS k7vta3 MB, latest FC3 kernel. Outstanding. 
Comment 95 Martin 2005-02-08 08:40:26 EST
still the same Problem on FC3 with the latest Kernel (kernel-2.6.10-
1.760_FC3.i686.rpm)
should I open a new bug report ?
I don't know if it's a problem with MSI BIOS.
any hints ?
Comment 96 Chris Shenton 2005-04-02 06:41:39 EST
I'm experiencing the Power Off problem on a Shuttle system running
kernel-2.6.10-1.770_FC3
kernel-utils-2.4-13.1.49_FC3

In my case I believe the problem appeared during an update of
kernel-utils, I'll regress the package and post the results if I can
make any progress.

Comment 97 Richard Tresidder 2005-04-12 02:58:29 EDT
Hi
I'm having this problem with a newly built system.
MSI 915P combo board
Tried all latest kernels available through up2date aswell

Interesting thing is that if there is no usb mouse plugged in then the system
will power off correctly.
However if the mouse is in then the system just pauses at the called
ACPI_POWER_OFF statement 
Comment 98 angeldust 2005-04-12 19:31:29 EDT
acpi=off  works for me so far, but as I stated above that really isn't a fix 
for the problem really.   Still same problem on all latest kernels for me, 
including the 2.6.11 kernel from FC4 test 1.   I'm just still using 'acpi=off' 
on my grub.conf  kernel line. (shrugs)  nothing else has worked yet. not even 
apm=off  so it must be something with acpi,  must be still broken or something.
Comment 99 angeldust 2005-04-12 19:33:17 EDT
acpi=off  works for me so far, but as I stated above that really isn't a fix 
for the problem really.   Still same problem on all latest kernels for me, 
including the 2.6.11 kernel from FC4 test 1.   I'm just still using 'acpi=off' 
on my grub.conf  kernel line. (shrugs)  nothing else has worked yet. not even 
apm=off  so it must be something with acpi,  must be still broken or something.
Comment 100 angeldust 2005-04-12 19:33:54 EDT
acpi=off  works for me so far, but as I stated above that really isn't a fix 
for the problem really.   Still same problem on all latest kernels for me, 
including the 2.6.11 kernel from FC4 test 1.   I'm just still using 'acpi=off' 
on my grub.conf  kernel line. (shrugs)  nothing else has worked yet. not even 
apm=off  so it must be something with acpi,  must be still broken or something.
Comment 101 angeldust 2005-04-12 19:34:54 EDT
acpi=off  works for me so far, but as I stated above that really isn't a fix 
for the problem really.   Still same problem on all latest kernels for me, 
including the 2.6.11 kernel from FC4 test 1.   I'm just still using 'acpi=off' 
on my grub.conf  kernel line. (shrugs)  nothing else has worked yet. not even 
apm=off  so it must be something with acpi,  must be still broken or something.
Comment 102 Dave Jones 2005-04-16 02:14:52 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 103 Barry K. Nathan 2005-05-19 04:28:31 EDT
Anyone still experiencing this bug with Fedora Core 3 or later should follow the
progress on bug 155127.
Comment 104 Germano Massullo 2012-07-15 19:12:12 EDT
could you please give a look to
https://bugzilla.redhat.com/show_bug.cgi?id=840331

Note You need to log in before you can comment on or make changes to this bug.